## cafeobj 1.5.7

=== doc/etc/Makefile ===

kosakusha-logo-gray.png: kosakusha-logo-gray.pdf
	convert kosakusha-logo-gray.pdf kosakusha-logo-gray.png

kosakusha-logo-gray.pdf: kosakusha-logo-tikz.pdf
	pdfcrop kosakusha-logo-tikz.pdf kosakusha-logo-gray.pdf

kosakusha-logo-tikz.pdf: kosakusha-logo-tikz.tex
	xelatex kosakusha-logo-tikz.tex

clean:
	rm -f *.aux *.log *.toc *.out kosakusha-logo-gray.png
	rm -f kosakusha-logo-gray.pdf

distclean:

=== doc/namespace/Makefile ===

namespace.pdf: namespace.tex disunbig.tikz flat-module.tikz hir-module-namespace.tikz toplevel.tikz
	xelatex namespace
	xelatex namespace
	xelatex namespace

clean:
	rm -f *.aux namespace.log namespace.toc namespace.out

distclean:

=== doc/search/Makefile ===
search-predicate.pdf: search-predicate.tex
	xelatex search-predicate
	xelatex search-predicate
	xelatex search-predicate
clean:
	rm -f *.aux search-predicate.log search-predicate.toc search-predicate.out search-predicate.lot

## cafeobj 1.5.2

=== debian/changelog ===
cafeobj (1.5.2-2) unstable; urgency=medium

  * remove build-opts on armhf, something is broken there (FTBFS)

 -- Norbert Preining <preining@debian.org>  Thu, 09 Oct 2014 09:07:46 +0900

cafeobj (1.5.2-1) unstable; urgency=medium

  * new upstream releases
  * fix building with unavailable $HOME (Closes: #764426)
  * bump standards version, no changes necessary

 -- Norbert Preining <preining@debian.org>  Wed, 08 Oct 2014 10:18:32 +0900

cafeobj (1.5.0-1) unstable; urgency=low

  * first upload (Closes: #760915)

 -- Norbert Preining <preining@debian.org>  Tue, 09 Sep 2014 19:17:24 +0900

=== debian/control ===
Source: cafeobj
Section: science
Priority: optional
Maintainer: Norbert Preining <preining@debian.org>
Build-Depends: debhelper (>= 8.1.0~), sbcl, fonts-mplus, fonts-freefont-otf, texlive-latex-recommended, texlive-fonts-recommended, texlive-latex-extra, texlive-bibtex-extra, texlive-xetex, lmodern, pandoc, pandoc-citeproc, biber
Standards-Version: 3.9.6
Homepage: http://www.cafeobj.org/


Package: cafeobj
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: new generation algebraic specification and programming language
 CafeOBJ is a most advanced formal specification language which 
 inherits many advanced features (e.g. flexible mix-fix syntax,
 powerful and clear typing system with ordered sorts, parameteric
 modules and views for instantiating the parameters, and module
 expressions, etc.) from OBJ (or more exactly OBJ3) algebraic
 specification language.
 .
 CafeOBJ is a language for writing formal (i.e. mathematical) 
 specifications of models for wide varieties of software and systems, 
 and verifying properties of them. CafeOBJ implements equational logic
 by rewriting and can be used as a powerful interactive theorem proving
 system. Specifiers can write proof scores also in CafeOBJ and doing
 proofs by executing the proof scores.
 .
 CafeOBJ has state-of-art rigorous logical semantics based on
 institutions. The CafeOBJ cube shows the structure of the various
 logics underlying the combination of the various paradigms implemented
 by the language. Proof scores in CafeOBJ are also based on institution
 based rigorous semantics, and can be constructed using a complete set 
 of proof rules.

=== debian/rules ===
#!/usr/bin/make -f

export DH_OPTIONS

co := $(CURDIR)/debian/cafeobj

DEB_HOST_ARCH     ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
ifeq ($(DEB_HOST_ARCH), armhf)
  export NO_SBCL_BUILDOPTS = 1
endif

# asdf tries to write compiled files to XDG_CACHE_HOME which might not
# exists, use a tmp directory
XDG_CACHE_HOME=$(CURDIR)/tmpcache
export XDG_CACHE_HOME

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:
	dh_testdir
	./configure --prefix=/usr --with-lisp=sbcl --enable-rebuild-doc
	# remove prebuild documentation pdf and rebuild them
	rm -f doc/manual/manual.pdf
	rm -f doc/refman/reference-manual.pdf
	rm -f doc/PigNose/pnguide.pdf
	rm -f doc/RefCard/interp.pdf
	rm -f doc/RefCard/syntax.pdf
	make build

clean:
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f install-stamp
	rm -rf $(XDG_CACHE_HOME)
	dh_clean
	
install: install-stamp


install-stamp: DH_OPTIONS=
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	DESTDIR=$(co) $(MAKE) install
	touch install-stamp

binary-indep: build install
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs README.md
	dh_installchangelogs
	# do NOT strip otherwise the sbcl dump file is broken!
	#dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: config build clean binary-indep binary-arch binary install

## cafeobj 1.5.4

=== debian/changelog ===
cafeobj (1.5.4-4) unstable; urgency=medium

  * rearrange rules file to allow for source only uploads (Closes: #805942)

 -- Norbert Preining <preining@debian.org>  Wed, 25 Nov 2015 23:13:19 +0900

cafeobj (1.5.4-3) unstable; urgency=medium

  * fix short description mentioning Scala (Closes: #803955)
  * fix absolute path to cafeobj in emacs mode

 -- Norbert Preining <preining@debian.org>  Thu, 19 Nov 2015 08:39:27 +0900

cafeobj (1.5.4-2) unstable; urgency=medium

  * provide a separate cafeobj-mode package for the Emacs major mode

 -- Norbert Preining <preining@debian.org>  Mon, 02 Nov 2015 22:12:25 +0900

cafeobj (1.5.4-1) unstable; urgency=medium

  * new upstream release
  * drop biber dependency, upstream uses bibtex now
  * fix upstream's configure(.ac) not to check for biber
  * don't compress pdfs, they are already compressed

 -- Norbert Preining <preining@debian.org>  Thu, 22 Oct 2015 11:51:14 +0900

cafeobj (1.5.3-1) experimental; urgency=medium

  * new upstream release
  * unfuzzify patches

 -- Norbert Preining <preining@debian.org>  Tue, 03 Mar 2015 09:22:28 +0900

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: science
 Priority: optional
 Maintainer: Norbert Preining <preining@debian.org>
-Build-Depends: debhelper (>= 8.1.0~), sbcl, fonts-mplus, fonts-freefont-otf, texlive-latex-recommended, texlive-fonts-recommended, texlive-latex-extra, texlive-bibtex-extra, texlive-xetex, lmodern, pandoc, pandoc-citeproc, biber
+Build-Depends: debhelper (>= 8.1.0~), sbcl, fonts-mplus, fonts-freefont-otf, texlive-latex-recommended, texlive-fonts-recommended, texlive-latex-extra, texlive-bibtex-extra, texlive-xetex, lmodern, pandoc, pandoc-citeproc
 Standards-Version: 3.9.6
 Homepage: http://www.cafeobj.org/
 
@@ -30,4 +30,14 @@
  logics underlying the combination of the various paradigms implemented
  by the language. Proof scores in CafeOBJ are also based on institution
  based rigorous semantics, and can be constructed using a complete set 
- of proof rules. 
+ of proof rules.
+
+Package: cafeobj-mode
+Architecture: all
+Depends: emacsen-common (>= 2.0.8), ${misc:Depends}
+Recommends: cafeobj
+Description: Emacs major mode for editing CafeOBJ source code
+ cafeobj-mode provides syntax highlighting and indentation for CafeOBJ
+ source code inside emacs.  Included is the ability to interact with a
+ CafeOBJ interpreter inside emacs and to send expressions from CafeOBJ
+ source files to the running interpreter.

=== debian/rules ===
#!/usr/bin/make -f

export DH_OPTIONS

co := $(CURDIR)/debian/cafeobj
coel := $(CURDIR)/debian/cafeobj-mode

DEB_HOST_ARCH     ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
ifeq ($(DEB_HOST_ARCH), armhf)
  export NO_SBCL_BUILDOPTS = 1
endif

# asdf tries to write compiled files to XDG_CACHE_HOME which might not
# exists, use a tmp directory
XDG_CACHE_HOME=$(CURDIR)/tmpcache
export XDG_CACHE_HOME

build: build-arch build-indep
build-arch: build-arch-stamp
build-indep: build-indep-stamp

build-arch-stamp:
	dh_testdir
	./configure --prefix=/usr --with-lisp=sbcl --enable-rebuild-doc
	# remove prebuild documentation pdf and rebuild them
	rm -f doc/manual/manual.pdf
	rm -f doc/refman/reference-manual.pdf
	rm -f doc/PigNose/pnguide.pdf
	rm -f doc/RefCard/interp.pdf
	rm -f doc/RefCard/syntax.pdf
	make build
	touch build-arch-stamp

build-indep-stamp:
	touch build-indep-stamp

clean:
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f install-arch-stamp install-indep-stamp
	rm -f build-arch-stamp build-indep-stamp
	rm -rf $(XDG_CACHE_HOME)
	dh_clean
	
install: install-arch install-indep
install-arch: install-arch-stamp
install-indep: install-indep-stamp

install-arch-stamp: DH_OPTIONS=-a
install-arch-stamp: build-arch
	dh_testdir
	dh_testroot
	dh_prep
	DESTDIR=$(co) $(MAKE) install
	touch install-arch-stamp

install-indep-stamp: DH_OPTIONS=-i
install-indep-stamp: build-indep
	mkdir -p $(coel)/usr/share/emacs/site-lisp
	cp elisp/cafeobj-mode.el $(coel)/usr/share/emacs/site-lisp
	touch install-indep-stamp


binary: binary-indep binary-arch

binary-indep: DH_OPTIONS=-i
binary-indep: install-indep
	dh_testdir
	dh_testroot
	dh_installdocs README.md
	dh_installchangelogs
	dh_installemacsen
	dh_compress -X.pdf
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: DH_OPTIONS=-a
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs README.md
	dh_installchangelogs
	# do NOT strip otherwise the sbcl dump file is broken!
	#dh_strip
	dh_compress -X.pdf
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


.PHONY: config build clean binary-indep binary-arch binary install

## cafeobj 1.5.5

=== debian/changelog ===
cafeobj (1.5.5-1) unstable; urgency=medium

  * new upstream release
  * update copyright file
  * debian/control: update Vcs and homepage fields
  * fix emacs startup file, thanks to Kevin Ryde (Closes: #806932)
  * cherry pick upstream change to use tikz instead of graffle generated
    images in namespace documentation
  * adjust autoconf files to rebuild all documentation
  * add texlive-generic-extra to build deps (Closes: #830445) 
  * documentation files: use tikz instead of graffle generated pdf
  * bump standards version, no changes necessary
  * add MotoyaLMaru fonts to build deps for logo
  * add texlive-extra-utils, ghostscript for pdfcrop to build-deps

 -- Norbert Preining <preining@debian.org>  Wed, 27 Jul 2016 23:21:44 +0900

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Section: science
 Priority: optional
 Maintainer: Norbert Preining <preining@debian.org>
-Build-Depends: debhelper (>= 8.1.0~), sbcl, fonts-mplus, fonts-freefont-otf, texlive-latex-recommended, texlive-fonts-recommended, texlive-latex-extra, texlive-bibtex-extra, texlive-xetex, lmodern, pandoc, pandoc-citeproc
-Standards-Version: 3.9.6
-Homepage: http://www.cafeobj.org/
+Build-Depends: debhelper (>= 8.1.0~), sbcl, fonts-mplus, fonts-freefont-otf, texlive-latex-recommended, texlive-fonts-recommended, texlive-latex-extra, texlive-bibtex-extra, texlive-xetex, lmodern, pandoc, pandoc-citeproc, texlive-generic-extra, imagemagick, fonts-motoya-l-maruberi, texlive-extra-utils, ghostscript
+Standards-Version: 3.9.8
+Homepage: http://cafeobj.org/
+Vcs-Git: git://git.cafeobj.org/cafeobj.git
+Vcs-Browser: http://git.cafeobj.org/?p=cafeobj.git
 
 
 Package: cafeobj

## cafeobj 1.5.7

=== debian/changelog ===
cafeobj (1.5.7-1) unstable; urgency=medium

  * new upstream releases
    - fixes FTBFS with new sbcl (Closes: #881192)
  * clean up patches
  * bump standards version, no changes necessary
  * update development location
  * bump dh compat to level 10

 -- Norbert Preining <preining@debian.org>  Mon, 26 Feb 2018 14:52:08 +0900

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: science
 Priority: optional
 Maintainer: Norbert Preining <preining@debian.org>
-Build-Depends: debhelper (>= 8.1.0~), sbcl, fonts-mplus, fonts-freefont-otf, texlive-latex-recommended, texlive-fonts-recommended, texlive-latex-extra, texlive-bibtex-extra, texlive-xetex, lmodern, pandoc, pandoc-citeproc, texlive-generic-extra, imagemagick, fonts-motoya-l-maruberi, texlive-extra-utils, ghostscript
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10), sbcl, fonts-mplus, fonts-freefont-otf, texlive-latex-recommended, texlive-fonts-recommended, texlive-latex-extra, texlive-bibtex-extra, texlive-xetex, lmodern, pandoc, pandoc-citeproc, texlive-generic-extra, imagemagick, fonts-motoya-l-maruberi, texlive-extra-utils, ghostscript
+Standards-Version: 4.1.1
 Homepage: http://cafeobj.org/
-Vcs-Git: git://git.cafeobj.org/cafeobj.git
-Vcs-Browser: http://git.cafeobj.org/?p=cafeobj.git
+Vcs-Git: https://github.com/CafeOBJ/cafeobj.git
+Vcs-Browser: https://github.com/CafeOBJ/cafeobj
 
 
 Package: cafeobj

=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,7 @@
 	rm -f doc/PigNose/pnguide.pdf
 	rm -f doc/RefCard/interp.pdf
 	rm -f doc/RefCard/syntax.pdf
+	rm -f doc/namespace/namespace.pdf
 	make build
 	touch build-arch-stamp
 
@@ -53,6 +54,10 @@
 	dh_testroot
 	dh_prep
 	DESTDIR=$(co) $(MAKE) install
+	# make install does also install the cafeobj-mode.el, remove it
+	rm $(co)/usr/share/emacs/site-lisp/cafeobj-mode.el
+	rmdir $(co)/usr/share/emacs/site-lisp/
+	rmdir $(co)/usr/share/emacs
 	touch install-arch-stamp
 
 install-indep-stamp: DH_OPTIONS=-i

## cafeobj 1.5.8

=== debian/changelog ===
cafeobj (1.5.8-1) unstable; urgency=medium

  * new upstream release
  * bump standards version, no changes necessary

 -- Norbert Preining <preining@debian.org>  Thu, 23 Aug 2018 09:32:20 +0900

cafeobj (1.5.7-4) unstable; urgency=medium

  * ship prebuild documentation file and remove all of pandoc dependency

 -- Norbert Preining <preining@debian.org>  Mon, 21 May 2018 09:31:59 +0900

cafeobj (1.5.7-3) unstable; urgency=medium

  * exclude pandoc on armhf in B-Ds, lagging behind too badly

 -- Norbert Preining <preining@debian.org>  Tue, 08 May 2018 13:52:04 +0900

cafeobj (1.5.7-2) unstable; urgency=medium

  * fix FTBFS with new pandoc (Closes: #897105)

 -- Norbert Preining <preining@debian.org>  Tue, 01 May 2018 09:07:28 +0900

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: science
 Priority: optional
 Maintainer: Norbert Preining <preining@debian.org>
-Build-Depends: debhelper (>= 10), sbcl, fonts-mplus, fonts-freefont-otf, texlive-latex-recommended, texlive-fonts-recommended, texlive-latex-extra, texlive-bibtex-extra, texlive-xetex, lmodern, pandoc, pandoc-citeproc, texlive-generic-extra, imagemagick, fonts-motoya-l-maruberi, texlive-extra-utils, ghostscript
-Standards-Version: 4.1.1
+Build-Depends: debhelper (>= 10), sbcl
+Standards-Version: 4.2.0
 Homepage: http://cafeobj.org/
 Vcs-Git: https://github.com/CafeOBJ/cafeobj.git
 Vcs-Browser: https://github.com/CafeOBJ/cafeobj

## cafeobj 1.5.9

=== debian/changelog ===
cafeobj (1.5.9-1) unstable; urgency=medium

  * new upstream release

 -- Norbert Preining <norbert@preining.info>  Sat, 19 Jan 2019 18:12:49 +0900

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: cafeobj
 Section: science
 Priority: optional
-Maintainer: Norbert Preining <preining@debian.org>
+Maintainer: Norbert Preining <norbert@preining.info>
 Build-Depends: debhelper (>= 10), sbcl
 Standards-Version: 4.2.0
 Homepage: http://cafeobj.org/

## cafeobj 1.6.0

=== debian/changelog ===
cafeobj (1.6.0-2) unstable; urgency=medium

  * add watch file

 -- Norbert Preining <norbert@preining.info>  Wed, 19 Feb 2020 05:27:40 +0900

cafeobj (1.6.0-1) unstable; urgency=medium

  * new upstream release
  * bump standards version, no changes necessary

 -- Norbert Preining <norbert@preining.info>  Fri, 31 Jan 2020 12:43:03 +0900

=== debian/rules ===
--- 
+++ 
@@ -21,14 +21,15 @@
 
 build-arch-stamp:
 	dh_testdir
-	./configure --prefix=/usr --with-lisp=sbcl --enable-rebuild-doc
+	./configure --prefix=/usr --with-lisp=sbcl
+	#./configure --prefix=/usr --with-lisp=sbcl --enable-rebuild-doc
 	# remove prebuild documentation pdf and rebuild them
-	rm -f doc/manual/manual.pdf
-	rm -f doc/refman/reference-manual.pdf
-	rm -f doc/PigNose/pnguide.pdf
-	rm -f doc/RefCard/interp.pdf
-	rm -f doc/RefCard/syntax.pdf
-	rm -f doc/namespace/namespace.pdf
+	#rm -f doc/manual/manual.pdf
+	#rm -f doc/refman/reference-manual.pdf
+	#rm -f doc/PigNose/pnguide.pdf
+	#rm -f doc/RefCard/interp.pdf
+	#rm -f doc/RefCard/syntax.pdf
+	#rm -f doc/namespace/namespace.pdf
 	make build
 	touch build-arch-stamp

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/cafeobj-$1\.tar\.gz/ \
  https://github.com/CafeOBJ/cafeobj/tags .*/archive/v?(\d\S+)\.tar\.gz
